package com.loveCoding.homework.j20250517_method;

import java.util.Arrays;

/**
 * @author WanJl
 * @version 1.0
 * @title T4
 * @description
 * **4. 数组左移操作**
 * 要求：实现数组元素左移一位（首元素移到末尾）
 * 示例输入：`{1,2,3,4,5}`
 * 示例输出：`2 3 4 5 1`
 * @create 2025/5/24
 */
public class T4 {
    public static void main(String[] args) {
        int[] arr={1,2,3,4,5};
        int t=arr[0];
        for (int i = 1; i < arr.length; i++) {
            arr[i-1]=arr[i];
        }
        arr[arr.length-1]=t;

        System.out.println(Arrays.toString(arr));
    }
}
